%define camlzip_inc +zip

Summary:	A tool to check consistency of rpm repositories
Name:		rpmcheck
Version:	0.0.2368
Release:	%mkrel 21
License:	GPLv2
Group:		System/Packaging
# No website yet
URL:		http://www.edos-project.org/xwiki/bin/Main/Wp2
# There is no released version yet. Sources are from the svn depot at
# https://protactinium.pps.jussieu.fr:12345/svn/edos/users/vouillon
Source:		%name-%version.tar.bz2
Patch0:		rpmcheck-0.0.2368-handle-suggests.patch
Patch1:		rpmcheck-0.0.2368-no-doc-conflict.patch
Patch2:		rpmcheck-0.0.2368-allow-uncompressed-hdlists.patch
Patch3:		rpmcheck-0.0.2368-compile-with-safe-string.patch
# Handle packages that ghost files from another package
# (e.g. packages generated by the python_extras_subpkg macro).
Patch4:		rpmcheck-0.0.2368-handle-ghosted-files.patch
BuildRequires:	ocaml
BuildRequires:	ocaml-camlzip-devel

%description
rpmcheck is a tool to check consistency of Mandriva Linux rpm repositories
(that is, of hdlist files.)

%prep
%setup -q
%autopatch

%build
%__make rpmcheck \
    COMPFLAGS="-I %{camlzip_inc}" \
    OPTLINKFLAGS="unix.cmxa str.cmxa zip.cmxa -I %{camlzip_inc}" \
    OPTCOMPFLAGS="-g"

%install
%__install -d %{buildroot}%{_bindir}
%__install -m 0755 rpmcheck %{buildroot}%{_bindir}

%files
%doc COPYING README
%{_bindir}/%{name}


%changelog
* Sun Dec 13 2020 martinw <martinw> 0.0.2368-21.mga8
+ Revision: 1656444
- handle packages that ghost files from another package
  o e.g. packages generated by %%python_extras_subpkg

* Mon Apr 27 2020 martinw <martinw> 0.0.2368-20.mga8
+ Revision: 1572371
- fix build with ocaml 4.10.0 (no longer supports -unsafe-string) (mga#26545)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.0.2368-18.mga7
+ Revision: 1300850
- Mageia 7 Mass Rebuild

* Tue Feb 13 2018 daviddavid <daviddavid> 0.0.2368-17.mga7
+ Revision: 1200770
- option '-unsafe-string' is required with ocaml 4.06.0

* Mon Oct 02 2017 daviddavid <daviddavid> 0.0.2368-16.mga7
+ Revision: 1162585
- enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 0.0.2368-15.mga6
+ Revision: 1056476
- Rebuild for fix in ocaml

* Mon Feb 08 2016 umeabot <umeabot> 0.0.2368-14.mga6
+ Revision: 944971
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2368-13.mga5
+ Revision: 745348
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2368-12.mga5
+ Revision: 688706
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2368-11.mga4
+ Revision: 521426
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.0.2368-10.mga3
+ Revision: 390810
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2368-9.mga3
+ Revision: 380458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 ennael <ennael> 0.0.2368-8.mga2
+ Revision: 199918
- fix camlzip_inc
- initial import
- imported package rpmcheck

